ru.inpas.connector.lib

## Class SAParam

- java.lang.Object
- - ru.inpas.connector.lib.SAParam

    public class SAParam
    extends java.lang.Object

Класс параметров протокола SA

### Nested Class Summary

Nested Classes
`static class` `SAParam.ID` Идентификаторы полей протокола SA

### Constructor Summary

Constructors
Constructor and Description
`SAParam()` Конструктор по умолчанию

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `clear()` Очистить
`static SAParam.ID` `containsID(int i)` Получить идентификатор поля от целого значения
`void` `getBytes(byte[] data, int offset)` Сериализовать данные в массив байтов
`byte[]` `getBytes(SAParam.ID id)` Получить данные по идентификатору
`java.lang.Integer` `getInteger(SAParam.ID id)` Получить числовое значение по идентификатору
`int` `getSize()` Получить размер упакованных данных
`java.lang.String` `getString(SAParam.ID id)` Получить строку по идентификатору
`void` `init(byte[] data, int offset, int size)` Установить параметры из буфера
`static boolean` `isBinary(SAParam.ID id)` Проверить признак бинарного формата поля
`boolean` `isEmpty()` Проверка наличие полей
`boolean` `isEmpty(SAParam.ID id)` Проверка наличие поля
`static boolean` `isInteger(SAParam.ID id)` Проверить признак целочисленного формата поля
`void` `putBytes(SAParam.ID id, byte[] value)` Установить данные по идентификатору
`void` `putInteger(SAParam.ID id, java.lang.Integer value)` Установить числовое значение по идентификатору
`void` `putString(SAParam.ID id, java.lang.String value)` Установить строку по идентификатору

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SAParam

    public SAParam()

Конструктор по умолчанию

### Method Detail

#### init

    public void init(byte[] data,
                     int offset,
                     int size)
              throws java.lang.Exception

Установить параметры из буфера

Parameters:
  `data` - данные для разбора
  `offset` - смещение
  `size` - размер
Throws:
  `java.io.IOException` - генерит исключение если возникли ошибки разбора данных
  `java.lang.Exception`

#### isEmpty

    public boolean isEmpty()

Проверка наличие полей

Returns:
  true если пустой

#### isEmpty

    public boolean isEmpty(SAParam.ID id)

Проверка наличие поля

Parameters:
  `id` - идентификатор
Returns:
  true если поле отсутствует

#### clear

    public void clear()

Очистить

#### isBinary

    public static boolean isBinary(SAParam.ID id)

Проверить признак бинарного формата поля

Parameters:
  `id` - идентификатор
Returns:
  если поле бинарное возвращает true

#### isInteger

    public static boolean isInteger(SAParam.ID id)

Проверить признак целочисленного формата поля

Parameters:
  `id` - идентификатор
Returns:
  если поле целочисленное возвращает true

#### getBytes

    public byte[] getBytes(SAParam.ID id)

Получить данные по идентификатору

Parameters:
  `id` - идентификатор
Returns:
  значение или null если не установлено

#### putBytes

    public void putBytes(SAParam.ID id,
                         byte[] value)

Установить данные по идентификатору

Parameters:
  `id` - идентификатор
  `value` - значение, если value не установлено (null), удаляет прежние данные

#### getString

    public java.lang.String getString(SAParam.ID id)

Получить строку по идентификатору

Parameters:
  `id` - идентификатор
Returns:
  значение или null если не установлено

#### putString

    public void putString(SAParam.ID id,
                          java.lang.String value)

Установить строку по идентификатору

Parameters:
  `id` - идентификатор
  `value` - значение, если value не установлено (null), удаляет прежние данные

#### getInteger

    public java.lang.Integer getInteger(SAParam.ID id)

Получить числовое значение по идентификатору

Parameters:
  `id` - идентификатор
Returns:
  значение или null если не установлено

#### putInteger

    public void putInteger(SAParam.ID id,
                           java.lang.Integer value)

Установить числовое значение по идентификатору

Parameters:
  `id` - идентификатор
  `value` - значение, если value не установлено (null), удаляет прежние данные

#### getSize

    public int getSize()

Получить размер упакованных данных

Returns:
  размер упакованных данных

#### getBytes

    public void getBytes(byte[] data,
                         int offset)
                  throws java.lang.Exception

Сериализовать данные в массив байтов

Parameters:
  `data` - буфер для сериализации
  `offset` - смещение в буфере
Throws:
  `java.lang.Exception` - генерит исключение если возникли при сохранении данных

#### containsID

    public static SAParam.ID containsID(int i)

Получить идентификатор поля от целого значения

Parameters:
  `i` - целочисленное значение идентификатор
Returns:
  в случае успеха возвращает SAParam.ID, если от целого значения невозможно построить идентификатор - возвращает null